Billing -usage
Refresh storage usage
POST
/billing/v1/storage-usage/refreshRecalculate and persist the organization's storage usage
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
OK
type: object
image_file_count?integer
image_storage_bytes?integer
last_updated?string
max_image_count?integer
max_project_count?integer
max_video_count?integer
org_id?string
project_count?integer
snapshot_date?string
total_file_count?integer
total_storage_bytes?integer
total_video_minutes?string
video_file_count?integer
video_storage_bytes?integer
curl -X POST "https://api.rixl.com/billing/v1/storage-usage/refresh"fetch("https://api.rixl.com/billing/v1/storage-usage/refresh", {
method: "POST"
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.rixl.com/billing/v1/storage-usage/refresh"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/billing/v1/storage-usage/refresh"
response = requests.request("POST", url)
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/billing/v1/storage-usage/refresh"))
.POST()
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/billing/v1/storage-usage/refresh");
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"image_file_count": 0,
"image_storage_bytes": 0,
"last_updated": "string",
"max_image_count": 0,
"max_project_count": 0,
"max_video_count": 0,
"org_id": "string",
"project_count": 0,
"snapshot_date": "string",
"total_file_count": 0,
"total_storage_bytes": 0,
"total_video_minutes": "string",
"video_file_count": 0,
"video_storage_bytes": 0
}